Subject: Re: [PATCH v4 for-next 00/12] Add network namespace support in the RDMA-CM

From: Doug Ledford <[email-masked]>
Date: Thu, 28 May 2015 14:22:40 -0400

On Thu, 2015-05-28 at 11:43 -0600, Jason Gunthorpe wrote:
> On Thu, May 28, 2015 at 07:21:11PM +0300, Or Gerlitz wrote:
> 
> > Anything else except for that (you said "reworking of the network scripts
> > and NetworkManager assumptions to make it work")??
> 
> IPv6 becomes very broken, child interfaces will generate the same IPv6
> addreses for radv and link local resulting in duplicate address
> scenarios.
> 
> About the only thing that will work properly is statically assigned
> IPv4 addresses.
> 
> > I don't see why we should stop the whole RDMA containers support train just
> > b/c we found out the IPoIB DHCP bug which was there for few years before
> > this effort started.
> 
> I don't think that is what Doug said.

Indeed.  There is no need to scrap things, but if the design as it
stands, and the intended means of creating objects for use in
containers, is going to result in an unworkable network, then we have to
re-evaluate how the container constructs are created, and that then has
possible consequences for how we would get from an incoming packet to
the proper container.

I'm not trying to stop the "support train" here, but at the same time,
if the train is headed for a bridge that's out....

-- 
Doug Ledford <[email-masked]>
              GPG KeyID: 0E572FDD